#ifndef SWAPWINDOW_HPP
#define SWAPWINDOW_HPP

#include <QWidget>

class QGridLayout;
class QVTKWidget;
class QVBoxLayout;

class SwapWindowFrame : public QWidget {
Q_OBJECT
public:
	SwapWindowFrame();

public slots:
	void swap();

private:
	void createCone(QWidget *parent);
	void createSpheres(QWidget *parent);

	QWidget *leftPanel_;
	QWidget *rightPanel_;
	QGridLayout *layout_;
	QVBoxLayout *rightLayout_;
	QVBoxLayout *leftLayout_;
	QVTKWidget *conewidget_;
	QVTKWidget *spherewidget_;
};

#endif //SWAPWINDOW_HPP